import React from 'react';
import ReactDOM from 'react-dom/client';
import { createBrowserRouter, RouterProvider } from 'react-router-dom';
import App from './App.tsx';
import Login from './components/Login/Login.tsx';
import Register from './components/Register/Register.tsx';
import CustomerDashboard from './components/CustomerDashboard/CustomerDashboard.tsx';
import { GetCustomerDashboardData } from './services/CustomerDashboard/CustomerDashboard.ts';
import './index.scss';

const router = createBrowserRouter([
  {
    path: '/',
    element: <App></App>,
    children: [
      {
        path: 'login',
        element: <Login></Login>
      },
      {
        path: 'register',
        element: <Register></Register>
      },
      {
        path: 'customer-dashboard',
        loader: GetCustomerDashboardData,
        element: <CustomerDashboard></CustomerDashboard>
      }
    ]
  }
]);

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <RouterProvider router={router}></RouterProvider>
  </React.StrictMode>,
)
